Bug 73428 - make install for php4 can't find instdso.sh
Summary: make install for php4 can't find instdso.sh
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 75281 75707 75762 78557 81299 83169 84476 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-04 16:29 UTC by berto
Modified: 2007-04-18 16:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-09 16:31:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:139 high SHIPPED_LIVE : Updated httpd packages fix security vulnerabilities. 2003-04-09 04:00:00 UTC

Description berto 2002-09-04 16:29:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
when building php4-STABLE-200209032100 from source, make install failed stating
that it was unable to find the file:

/usr/lib/httpd/build/instdso.sh


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install httpd-2.0.40-1 and httpd-devel-2.0.40-1
2. grab the latest php source
3. configure and try to install
	

Actual Results:  install dies.

Expected Results:  php should have installed fine.

Additional info:

the configure command was:

./configure --with-apxs2=/usr/sbin/apxs --with-mysql=/usr

my simple solution was to get the apache-2.0.40 source and copy that file into
/usr/lib/httpd/build.  that fixed the problem and php

Comment 1 Joe Orton 2002-09-11 20:01:06 UTC
Refiled against 'httpd' package.

Comment 2 Joe Orton 2002-10-07 10:20:10 UTC
*** Bug 75281 has been marked as a duplicate of this bug. ***

Comment 3 Ed Marshall 2002-10-10 20:48:53 UTC
Same problem with Subversion (http://subversion.tigris.org/). Grabbing
instdso.sh from the latest release as suggested and dropping in
/usr/lib/httpd/build worked like a champ.

(Now if only there were supported apr and apr-util packages...*grin*)

Comment 4 Joe Orton 2002-10-11 09:36:28 UTC
*** Bug 75707 has been marked as a duplicate of this bug. ***

Comment 5 Joe Orton 2002-10-11 22:48:18 UTC
*** Bug 75762 has been marked as a duplicate of this bug. ***

Comment 6 Per Winkvist 2002-10-14 17:50:34 UTC
I would like to request this as well. It would be great if  
   - instdso.sh  
   - apr-config 
   - apu-config 
 
these could be part of the httpd-devel package. The last two shell scripts are 
needed to compile subversion.

Comment 7 Nils Philippsen 2002-10-19 15:04:36 UTC
Joe, do you want a SPEC file for this? The Cc: list is getting a bit long :-).

Comment 8 Joe Orton 2002-11-06 18:11:14 UTC
Fixed in httpd-2.0.40-13, should hit Raw Hide at some point soon.  Thanks for
the reports.

Comment 9 Joe Orton 2002-11-26 14:02:40 UTC
*** Bug 78557 has been marked as a duplicate of this bug. ***

Comment 10 Joe Orton 2003-01-14 13:35:02 UTC
*** Bug 81299 has been marked as a duplicate of this bug. ***

Comment 11 Dan Hollis 2003-01-22 00:03:23 UTC
this bug still unresolved. we are still waiting for a fixed httpd-devel with
instdso.sh in it.

bug id 81299 says its available in httpd-devel-2.0.40-13 but neglects to tell us
where to get this version.

httpd-devel-2.0.40-11 is still the only currently most recent version available
for rh8.0 ...

Comment 12 Joe Orton 2003-01-22 10:02:31 UTC
For testing purposes, you can get them from:
http://people.redhat.com/jorton/8.0-httpd/

Comment 13 Joe Orton 2003-03-31 15:02:34 UTC
Reopen for erratum.

Comment 14 Joe Orton 2003-03-31 15:04:34 UTC
*** Bug 83169 has been marked as a duplicate of this bug. ***

Comment 15 Joe Orton 2003-04-01 16:14:11 UTC
*** Bug 84476 has been marked as a duplicate of this bug. ***

Comment 16 Mark J. Cox 2003-04-09 16:31:41 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-139.html



Note You need to log in before you can comment on or make changes to this bug.